set echo on
set serveroutput on format wrapped
DECLARE

   nt0 varchar2_ntt := varchar2_ntt('A','B','C','C');
   nt1 varchar2_ntt := varchar2_ntt('C','C','D','E','E');

   PROCEDURE display (
             type_in IN VARCHAR2,
             nt_in   IN varchar2_ntt
             ) IS
      i PLS_INTEGER;
   BEGIN
      DBMS_OUTPUT.PUT( CHR(10) || RPAD(type_in,50,'.') );
      i := nt_in.FIRST;
      WHILE i IS NOT NULL LOOP
         DBMS_OUTPUT.PUT( nt_in(i) || ' ' );
         i := nt_in.NEXT(i);
      END LOOP;
      DBMS_OUTPUT.NEW_LINE;
   END display;

BEGIN

   display('MULTISET UNION', 
           nt0 MULTISET UNION nt1 );

   display('MULTISET UNION ALL (SAME AS MULTISET UNION)', 
           nt0 MULTISET UNION ALL nt1 );

   display('MULTISET UNION DISTINCT',
           nt0 MULTISET UNION DISTINCT nt1 );

   display('MULTISET EXCEPT (nt0 -> nt1)',
           nt0 MULTISET EXCEPT nt1 );

   display('MULTISET EXCEPT (nt1 -> nt0)',
           nt1 MULTISET EXCEPT nt0 );

   display('MULTISET EXCEPT DISTINCT (nt1 -> nt0)',
           nt1 MULTISET EXCEPT DISTINCT nt0 );

   display('MULTISET INTERSECT',
           nt0 MULTISET INTERSECT nt1 );

   display('MULTISET INSERSECT DISTINCT',
           nt0 MULTISET INTERSECT DISTINCT nt1 );

   display('SET OF AN INTERSECT (SAME AS INTERSECT DISTINCT)',
           SET( nt0 MULTISET INTERSECT nt1 ) );

END;
/
