DROP TYPE complex_ntt;
DROP TYPE complex_ot;

set echo on

CREATE TYPE complex_ot AS OBJECT
( attr_one   VARCHAR2(10)
, attr_two   VARCHAR2(10)
, attr_three NUMBER );
/

CREATE TYPE complex_ntt AS TABLE OF complex_ot;
/

SELECT *
FROM   TABLE(
          SET( complex_ntt(complex_ot('data', 'more data', 1),
                           complex_ot('data', 'some data', 2),
                           complex_ot('data', 'dupe data', 3),
                           complex_ot('data', 'dupe data', 3)) ));

DECLARE
   nt complex_ntt := complex_ntt(complex_ot('data', 'more data', 1),
                                 complex_ot('data', 'some data', 2),
                                 complex_ot('data', 'dupe data', 3),
                                 complex_ot('data', 'dupe data', 3));
BEGIN
   DBMS_OUTPUT.PUT_LINE( 'Complex collection has ' ||
                         TO_CHAR(CARDINALITY(SET(nt))) ||
                         ' distinct elements.' );
END;
/
