
DECLARE

   nt_null        varchar2_ntt;
   nt_initialised varchar2_ntt := varchar2_ntt();
   nt_set         varchar2_ntt := varchar2_ntt('A','B','C');
   nt_not_set     varchar2_ntt := varchar2_ntt('A','B','C','C');

   PROCEDURE test (
             test_in   IN VARCHAR2,
             result_in IN BOOLEAN
             ) IS
   BEGIN
      DBMS_OUTPUT.PUT( RPAD('[' || test_in || ']',30) || '=> ');
      DBMS_OUTPUT.PUT_LINE(CASE result_in
                              WHEN TRUE
                              THEN 'TRUE' 
                              WHEN FALSE
                              THEN 'FALSE'
                              ELSE 'NULL'
                           END);
   END test;

BEGIN

   /* First test the NULL collection... */
   test( 'nt_null IS A SET', nt_null IS A SET );
   test( 'nt_null IS NOT A SET', nt_null IS NOT A SET );

   /* Now test the valid collections... */
   test( 'nt_initialised IS A SET', nt_initialised IS A SET );
   test( 'nt_set IS A SET', nt_set IS A SET );
   test( 'nt_not_set IS A SET', nt_not_set IS A SET );
   test( 'SET(nt_not_set) IS A SET', SET(nt_not_set) IS A SET );

END;
/
